"""
    ____      ____                                                 __  _           
   /  _/___  / __/________ _     ____ ____  ____  ___  _________ _/ /_(_)___  ____ 
   / // __ \/ /_/ ___/ __ `/    / __ `/ _ \/ __ \/ _ \/ ___/ __ `/ __/ / __ \/ __ \
 _/ // / / / __/ /  / /_/ /    / /_/ /  __/ / / /  __/ /  / /_/ / /_/ / /_/ / / / /
/___/_/ /_/_/ /_/   \__,_(_)   \__, /\___/_/ /_/\___/_/   \__,_/\__/_/\____/_/ /_/ 
                              /____/

 ~~~<rgoncalves.se>
"""


def get_next_color(index):
	""" Get pyplot color code for a given number of components."""

	colors = [
		"b", 
		"g", 
		"r", 
		"c", 
		"m", 
		"y", 
		"k"
	]

	return colors[(len(colors) - 1) % index]
